Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.TAOTerm.Type

class petsc4py.PETSc.TAOTerm.Type

  Bases: `object`

  TAO Term Types.

  Attributes Summary

  `CALLBACKS` | Object `CALLBACKS` of type `str`
  `HALFL2SQUARED` | Object `HALFL2SQUARED` of type `str`
  `L1` | Object `L1` of type `str`
  `QUADRATIC` | Object `QUADRATIC` of type `str`
  `SHELL` | Object `SHELL` of type `str`
  `SUM` | Object `SUM` of type `str`

  Attributes Documentation

  CALLBACKS: str = CALLBACKS

    Object `CALLBACKS` of type `str`

  HALFL2SQUARED: str = HALFL2SQUARED

    Object `HALFL2SQUARED` of type `str`

  L1: str = L1

    Object `L1` of type `str`

  QUADRATIC: str = QUADRATIC

    Object `QUADRATIC` of type `str`

  SHELL: str = SHELL

    Object `SHELL` of type `str`

  SUM: str = SUM

    Object `SUM` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)